VST 3 Examples: ParameterChangesCheck Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ParameterChangesCheck Class Reference

`#include <parameterchangescheck.h>`

## Public Types
using | ParamIDs = std::set< Steinberg::Vst::ParamID >

## Public Member Functions
| ParameterChangesCheck ()
void | checkParameterChanges (Steinberg::Vst::IParameterChanges *paramChanges)
void | setEventLogger (EventLogger *eventLogger)
void | setParamIDs (ParamIDs *parameterID)
void | updateParameterIDs ()

## Protected Member Functions
void | checkAllChanges (Steinberg::Vst::IParameterChanges *paramChanges)
void | checkParameterCount (Steinberg::int32 paramCount)
void | checkParameterId (Steinberg::Vst::ParamID paramId)
void | checkNormalized (float normVal)
void | checkSampleOffset (Steinberg::int32 sampleOffset, Steinberg::int32 lastSampleOffset)
bool | checkParameterQueue (Steinberg::Vst::IParamValueQueue *paramQueue)
void | checkPoints (Steinberg::Vst::IParamValueQueue *paramQueue)
bool | isNormalized (float normVal) const
bool | isValidSampleOffset (float sampleOffset, float lastSampleOffset) const
bool | isValidParamID (Steinberg::Vst::ParamID paramId) const
bool | isValidParamCount (Steinberg::int32 paramCount) const

## Protected Attributes
EventLogger * | mEventLogger
ParamIDs * | mParameterIds
std::vector < Steinberg::Vst::ParamID > | mTempUsedId

## Member Typedef Documentation

using ParamIDs = std::set<Steinberg::Vst::ParamID>

## Constructor & Destructor Documentation

ParameterChangesCheck | ( |  | ) |

## Member Function Documentation

void checkParameterChanges | ( | Steinberg::Vst::IParameterChanges * | paramChanges | ) |

void setEventLogger | ( | EventLogger * | eventLogger | ) |

void setParamIDs | ( | ParamIDs * | parameterID | ) |

void updateParameterIDs | ( |  | ) |

void checkAllChanges | ( | Steinberg::Vst::IParameterChanges * | paramChanges | ) |
| protected

void checkParameterCount | ( | Steinberg::int32 | paramCount | ) |
| protected

void checkParameterId | ( | Steinberg::Vst::ParamID | paramId | ) |
| protected

void checkNormalized | ( | float | normVal | ) |
| protected

void checkSampleOffset | ( | Steinberg::int32 | sampleOffset,
|  | Steinberg::int32 | lastSampleOffset
| ) |  |
| protected

bool checkParameterQueue | ( | Steinberg::Vst::IParamValueQueue * | paramQueue | ) |
| protected

void checkPoints | ( | Steinberg::Vst::IParamValueQueue * | paramQueue | ) |
| protected

bool isNormalized | ( | float | normVal | ) | const
| protected

bool isValidSampleOffset | ( | float | sampleOffset,
|  | float | lastSampleOffset
| ) |  | const
| protected

bool isValidParamID | ( | Steinberg::Vst::ParamID | paramId | ) | const
| protected

bool isValidParamCount | ( | Steinberg::int32 | paramCount | ) | const
| protected

## Member Data Documentation

EventLogger* mEventLogger
| protected

ParamIDs* mParameterIds
| protected

std::vector<Steinberg::Vst::ParamID> mTempUsedId
| protected

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.